package main

import "fmt"

func main() {
	// 定义一个channel
	c := make(chan int)

	go func() {
		defer fmt.Println("goroutine 结束")
		fmt.Println("goroutine 正在运行...")
		// go程中：将值发送给c
		c <- 666
	}()

	// 主线程中：读c中的数据并赋值给num
	num := <-c
	fmt.Println("num = ", num)
	fmt.Println("main goroutine 结束 ...")
}
