package main

import (
	"encoding/json"
	"fmt"
)

// type Movie struct {
// 	Title  string   `json:"title"`
// 	Year   int      `json:"year"`
// 	Price  int      `json:"rmb"`
// 	Actors []string `json:"actors"`
// }

type Movie struct {
	Title  string
	Year   int
	Price  int
	Actors []string
}

func main() {
	movie := Movie{"喜剧之王", 2000, 10, []string{"xingye", "zhangbozhi"}}
	jsonStr, err := json.Marshal(movie)
	if err != nil {
		fmt.Println("json marshal error", err)
		return
	}
	fmt.Printf("jsonStr = %s\n", jsonStr)
	myMovie := Movie{}
	json.Unmarshal(jsonStr, &myMovie)
	if err != nil {
		fmt.Println("json unmarshal failed", err)
		return
	}
	fmt.Printf("%v\n", myMovie)
}
