package main

import "fmt"

func printArray(myArray [4]int) {
	for index, value := range myArray {
		fmt.Println("index = ", index, ", value = ", value)
	}
}

func printArray2(myArray []int) {
	for _, value := range myArray {
		fmt.Println("value = ", value)
	}
}

func main() {
	var myArray1 [10]int
	fmt.Println(myArray1)
	for i := 0; i < len(myArray1); i++ {
		fmt.Println(myArray1[i])
	}

	myArray2 := [10]int{1, 2, 3, 4}
	for index, value := range myArray2 {
		fmt.Println("index = ", index, ", value = ", value)
	}

	myArray3 := [4]int{11, 22, 33, 44}

	fmt.Printf("myArray1 type is %T\n", myArray1)
	fmt.Printf("myArray2 type is %T\n", myArray2)
	fmt.Printf("myArray3 type is %T\n", myArray3)

	// printArray(myArray2)
	printArray(myArray3)

	myArray := []int{1, 2, 3, 4}
	fmt.Printf("myArray type is %T\n", myArray)

	printArray2(myArray)
}
